Skip to main content
GET
Player Connections

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the player to get player connections for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: player, firstSeason, lastSeason, numberOfSeasons, teams

Available options:
player,
firstSeason,
lastSeason,
numberOfSeasons,
teams,
player.*,
firstSeason.*,
lastSeason.*,
teams.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
player,
-player,
firstSeason,
-firstSeason,
lastSeason,
-lastSeason,
numberOfSeasons,
-numberOfSeasons
player.playerType
enum<string>

Filter by player.playerType

Available options:
GOALTENDER,
SKATER
player.position
enum<string>[]

Filter by player.position

Available options:
G,
D,
F,
C,
W,
LW,
RW
player.nationality
string[]

Filter by player.nationality slug in ISO 3166-1 alpha-3

player.status
enum<string>

Filter by player.status

Available options:
active,
inactive,
retired,
deceased
teams:contains
integer

Filter by teams contains

Response

200 - application/json

A paginated list of player connections.

_meta
object
data
object[]